ITtectureVMware

VMware Security Advisories – Octubre 2020

Fecha de publicación: 03 noviembre, 2020

VMSA-2020-0022

2020-10-15

1. Productos afectados

  • VMware Horizon Client para Windows

2. Introducción

Una vulnerabilidad de denegación de servicio que afecta a VMware Horizon Client para Windows se informó de forma privada a VMware. Hay actualizaciones disponibles para abordar esta vulnerabilidad en el producto VMware afectado.

3. Vulnerabilidad de denegación de servicio del control de acceso al sistema de archivos (CVE-2020-3991)

Descripción

VMware Horizon Client para Windows contiene una vulnerabilidad de denegación de servicio debido a un problema de control de acceso al sistema de archivos durante el tiempo de instalación. VMware ha evaluado que la gravedad de este problema se encuentra en el  rango de gravedad moderada  con una puntuación base máxima de CVSSv3 de 5,9.

Vectores de ataque conocidos

La explotación exitosa de este problema puede permitir que un atacante sobrescriba ciertos archivos con privilegios de administrador a través de un ataque de enlace simbólico en el momento de la instalación. Esto resultará en una condición de denegación de servicio en la máquina donde está instalado Horizon Client para Windows.

Resolución

Para remediar CVE-2020-3991, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ a continuación.

Matriz de respuesta

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
Horizon Client para Windows5.xy anterioresVentanasCVE-2020-39915.9Moderar 5.5.0NingunaNinguna

4. Referencias

Versión (s) fija (s) y notas de la versión:
Descargas y documentación de Horizon Client para Windows 5.5.0 :
 https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=CART21FQ3_WIN_550&productId=863&rPId=53321
https://docs.vmware.com/en/ VMware-Horizon-Client / index.html

Enlaces del diccionario Mitre CVE:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3991 

PRIMERA calculadora CVSSv3:
https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:C/C:N/I: N / A: H

VMSA-2020-0023

2020-10-20

1. Productos afectados

  • VMware ESXi
  • VMware Workstation Pro / Player (estación de trabajo)
  • VMware Fusion Pro / Fusion (Fusion)
  • NSX-T
  • Fundación VMware Cloud

2. Introducción

Se informaron de forma privada a VMware varias vulnerabilidades en VMware ESXi, Workstation, Fusion y NSX-T. Hay actualizaciones disponibles para remediar estas vulnerabilidades en los productos VMware afectados.

3a. Vulnerabilidad de ejecución remota de código ESXi OpenSLP (CVE-2020-3992)

Descripción

OpenSLP, tal como se usa en ESXi, tiene un problema de uso después de la liberación. VMware ha evaluado que la gravedad de este problema se encuentra en el rango de gravedad crítica con una puntuación base máxima de CVSSv3 de 9,8.

Vectores de ataque conocidos

Un actor malintencionado que reside en la red de administración y que tiene acceso al puerto 427 en una máquina ESXi puede activar un uso después de la liberación en el servicio OpenSLP que da como resultado la ejecución remota de código.

Resolución

Para remediar CVE-2020-3992, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Soluciones alternativas

Las soluciones provisionales para CVE-2020-3992 se enumeran en la columna ‘Soluciones provisionales’ de la ‘Matriz de respuesta’ a continuación.

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
ESXi7.0AlgunaCVE-2020-39929,8Crítico ESXi_7.0.1-0.0.16850804KB76372Ninguna
ESXi6,7AlgunaCVE-2020-39929,8Crítico ESXi670-202010401-SGKB76372Ninguna
ESXi6.5AlgunaCVE-2020-39929,8Crítico ESXi650-202010401-SGKB76372Ninguna
VMware Cloud Foundation (ESXi)4.xAlgunaCVE-2020-39929,8Crítico 4.1KB76372Ninguna.
VMware Cloud Foundation (ESXi)3.xAlgunaCVE-2020-39929,8Crítico 3.10.1.1KB76372Ninguna

3b. Vulnerabilidad de NSX-T MITM (CVE-2020-3993)

Descripción

VMware NSX-T contiene una vulnerabilidad de seguridad que existe en la forma en que permite que un host KVM descargue e instale paquetes desde NSX Manager. VMware ha evaluado que la gravedad de este problema se encuentra en el rango de gravedad Importante con una puntuación base máxima de CVSSv3 de 7,5.

Vectores de ataque conocidos

Un actor malintencionado con posicionamiento MITM puede aprovechar este problema para comprometer el nodo de transporte.

Resolución

Para remediar CVE-2020-3993, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
NSX-T3.xAlgunaCVE-2020-39937.5Importante 3.0.2NingunaNinguna
NSX-T2.5.xAlgunaCVE-2020-39937.5Importante 2.5.2.2.0NingunaNinguna
VMware Cloud Foundation (NSX-T)4.xAlgunaCVE-2020-39937.5Importante 4.1NingunaNinguna.
VMware Cloud Foundation (NSX-T)3.xAlgunaCVE-2020-39937.5Importante 3.10.1.1Ninguna.Ninguna

3c. Vulnerabilidad de lectura fuera de límites de TOCTOU (CVE-2020-3981)

Descripción

VMware ESXi, Workstation y Fusion contienen una vulnerabilidad de lectura fuera de los límites debido a un problema de tiempo de verificación de tiempo de uso en el dispositivo ACPI. VMware ha evaluado que la gravedad de este problema se encuentra en el rango de gravedad Importante con una puntuación base máxima de CVSSv3 de 7,1.

Vectores de ataque conocidos

Un actor malintencionado con acceso administrativo a una máquina virtual puede aprovechar este problema para perder memoria del proceso vmx. 

Resolución

Para remediar CVE-2020-3981, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Matriz de respuesta:

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
ESXi7.0AlgunaCVE-2020-39817.1Importante ESXi_7.0.1-0.0.16850804Ninguna.Ninguna
ESXi6,7AlgunaCVE-2020-39817.1Importante ESXi670-202008101-SGNingunaNinguna
ESXi6.5AlgunaCVE-2020-39817.1Importante ESXi650-202007101-SGNingunaNinguna
Fusión12.xOS XCVE-2020-3981N / AN / AInafectadoN / AN / A
Fusión11.xOS XCVE-2020-39817.1Importante 11.5.6NingunaNinguna
Puesto de trabajo16.xAlgunaCVE-2020-3981N / AN / AInafectadoN / AN / A
Puesto de trabajo15.xAlgunaCVE-2020-39817.1Importante Parche pendienteNingunaNinguna
VMware Cloud Foundation (ESXi)4.xAlgunaCVE-2020-39817.1Importante 4.1NingunaNinguna.
VMware Cloud Foundation (ESXi)3.xAlgunaCVE-2020-39817.1Importante 3.10.1NingunaNinguna

3d. Vulnerabilidad de escritura fuera de límites de TOCTOU (CVE-2020-3982)

Descripción

VMware ESXi, Workstation y Fusion contienen una vulnerabilidad de escritura fuera de los límites debido a un problema de tiempo de uso en el dispositivo ACPI. VMware ha evaluado que la gravedad de este problema se encuentra en el rango de gravedad moderada con una puntuación base máxima de CVSSv3 de 5,9.

Vectores de ataque conocidos

Un actor malintencionado con acceso administrativo a una máquina virtual puede aprovechar esta vulnerabilidad para bloquear el proceso vmx de la máquina virtual o dañar el montón de memoria del hipervisor.

Resolución

Para remediar CVE-2020-3982, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Matriz de respuesta:

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
ESXi7.0AlgunaCVE-2020-39825.9Moderar ESXi_7.0.1-0.0.16850804Ninguna.Ninguna
ESXi6,7AlgunaCVE-2020-39825.9Moderar ESXi670-202008101-SGNingunaNinguna
ESXi6.5AlgunaCVE-2020-39825.9Moderar ESXi650-202007101-SGNingunaNinguna
Fusión12.xOS XCVE-2020-3982N / AN / AInafectadoN / AN / A
Fusión11.xOS XCVE-2020-39825.9Moderar 11.5.6NingunaNinguna
Puesto de trabajo16.xAlgunaCVE-2020-3982N / AN / AInafectadoN / AN / A
Puesto de trabajo15.xAlgunaCVE-2020-39825.9Moderar Parche pendienteNingunaNinguna
VMware Cloud Foundation (ESXi)4.xAlgunaCVE-2020-39825.9Moderar 4.1NingunaNinguna.
VMware Cloud Foundation (ESXi)3.xAlgunaCVE-2020-39825.9Moderar 3.10.1NingunaNinguna

3e. Vulnerabilidad de secuestro de sesión de vCenter Server en la función de actualización (CVE-2020-3994)

Descripción

VMware vCenter Server contiene una vulnerabilidad de secuestro de sesión en la función de actualización de la interfaz de administración de vCenter Server Appliance debido a la falta de validación del certificado. VMware ha evaluado que la gravedad de este problema se encuentra en el  rango de gravedad Importante  con una puntuación base máxima de CVSSv3 de  7,5.

Vectores de ataque conocidos

Un actor malintencionado con posicionamiento de red entre vCenter Server y un repositorio de actualizaciones puede realizar un secuestro de sesión cuando se usa la interfaz de administración de vCenter Server Appliance para descargar actualizaciones de vCenter.

Resolución

Para remediar CVE-2020-3994, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Matriz de respuesta:

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
vCenter Server7.0AlgunaCVE-2020-3994N / AN / AInafectadoN / AN / A
vCenter Server6,7Dispositivo virtualCVE-2020-39947.5Importante 6.7 U3NingunaNinguna
vCenter Server6,7VentanasCVE-2020-3994N / AN / AInafectadoN / AN / A
vCenter Server6.5Dispositivo virtualCVE-2020-39947.5Importante 6.5 U3KNingunaNinguna
vCenter Server6.5VentanasCVE-2020-3994N / AN / AInafectadoN / AN / A
VMware Cloud Foundation (vCenter Server)4.xAlgunaCVE-2020-3994N / AN / AInafectadoN / AN / A
VMware Cloud Foundation (vCenter Server)3.xAlgunaCVE-2020-39947.5Importante 3.9.0NingunaNinguna

3f. Vulnerabilidad de fuga de memoria del controlador de host VMCI (CVE-2020-3995)

Descripción

Los controladores de host VMCI que utilizan los hipervisores VMware contienen una vulnerabilidad de pérdida de memoria. VMware ha evaluado que la gravedad de este problema se encuentra en el  rango de gravedad Importante  con una puntuación base máxima de CVSSv3 de  7,1.

Vectores de ataque conocidos

Un actor malintencionado con acceso a una máquina virtual puede desencadenar un problema de pérdida de memoria que resulte en el agotamiento de los recursos de memoria en el hipervisor si el ataque se prolonga durante períodos de tiempo prolongados.

Resolución

Para remediar CVE-2020-3995, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación.

Matriz de respuesta:

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
ESXi7.0AlgunaCVE-2020-3995N / AN / AInafectadoN / AN / A
ESXi6,7AlgunaCVE-2020-39957.1Importante ESXi670-201908101-SGNingunaNinguna
ESXi6.5AlgunaCVE-2020-39957.1Importante ESXi650-201907101-SGNingunaNinguna
Fusión11.xOS XCVE-2020-39957.1Importante 11.1.0NingunaNinguna
Puesto de trabajo15.xAlgunaCVE-2020-39957.1Importante 15.1.0NingunaNinguna
VMware Cloud Foundation (ESXi)4.xAlgunaCVE-2020-3995N / AN / AInafectadoN / AN / A
VMware Cloud Foundation (ESXi)3.xAlgunaCVE-2020-39957.1Importante 3.9.0NingunaNinguna

4. Referencias

Descargas y documentación de VMware ESXi 7.0  ESXi_7.0.1-0.0.16850804 :
https://my.vmware.com/group/vmware/patch
https://docs.vmware.com/en/VMware-vSphere/7.0/rn/vsphere-esxi-701-release-notes.html

Descargas y documentación de VMware ESXi 6.7  ESXi670-202010401-SG :
https://my.vmware.com/group/vmware/patch
https://docs.vmware.com/en/VMware-vSphere/6.7/rn/esxi670-202010001.html

Descargas y documentación de VMware ESXi 6.5  ESXi650-202010401-SG :
https://my.vmware.com/group/vmware/patch
https://docs.vmware.com/en/VMware-vSphere/6.5/rn/esxi650-202010001.html

Descargas y documentación de VMware Workstation Pro 15.5.6  :
https://www.vmware.com/go/downloadworkstation
https://docs.vmware.com/en/VMware-Workstation-Pro/index.html

Descargas y documentación de VMware Workstation Player 15.5.6  :
https://www.vmware.com/go/downloadplayer
https://docs.vmware.com/en/VMware-Workstation-Player/index.html

Descargas y documentación de VMware Fusion 11.5.6  :
https://www.vmware.com/go/downloadfusion
https://docs.vmware.com/en/VMware-Fusion/index.html

Descargas y documentación de VMware NSX-T 3.0.2:
https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=NSX-T-302&productId=982&rPId=52624
https://docs.vmware.com/en/VMware-NSX-T-Data-Center/index.html

Descargas y documentación de VMware NSX-T 2.5.2.2.0:
https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=NSX-T-2522&productId=673&rPId=53876
https://docs.vmware.com/en/VMware-NSX-T-Data-Center/index.html

Descargas y documentación de VMware vCenter Server 6.7u3:
https://my.vmware.com/web/vmware/downloads/details?downloadGroup=VC67U3&productId=742&rPId=52126

Descargas y documentación de VMware vCenter Server 6.5u3k :
https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=VC65U3K&productId=614&rPId=50173 

VMware vCloud Foundation 4.1:
https: // docs. vmware.com/en/VMware-Cloud-Foundation/4.1/rn/VMware-Cloud-Foundation-41-Release-Notes.html

Descargas y documentación de VMware vCloud Foundation 3.10.1.1https://docs.vmware.com/en/VMware-Cloud-Foundation/3.10.1/rn/VMware-Cloud-Foundation-3101-Release-Notes.html#3.10. 1.1

Descargas y documentación de VMware vCloud Foundation 3.9:
https://my.vmware.com/web/vmware/downloads/details?downloadGroup=VCF390&productId=945&rPId=41516

Enlaces del diccionario Mitre CVE:
https://cve.mitre.org/cgi-bin/cvename.cgi?name= CVE-2020-3981
https://cve.mitre.org/cgi-bin/cvename.cgi?name= CVE-2020-3982 

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020- 3992
https://cve.mitre.org/cgi-bin/cvename.cgi?name= CVE-2020-3993
https://cve.mitre.org/cgi-bin/cvename.cgi?name= CVE-2020-3994
https://cve.mitre.org/cgi-bin/cvename.cgi?name= CVE-2020-3995

PRIMERA Calculadora CVSSv3:
CVE-2020- 3981   https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:C/C:H/I:N/A: N 

CVE-2020-3982 –  https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:C/C:N/I:H/A: N

CVE-2020-3992 – https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A: H

CVE-2020-3993 – https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A: H 

CVE-2020- 3994 – https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A: H

CVE-2020- 3995 – https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:C/C:N / I: N / A: H

VMSA-2020-0024

2020-10-22

1. Productos afectados

  • Servidor VMware Horizon
  • VMware Horizon Client para Windows

2. Introducción

Se informaron de forma privada a VMware varias vulnerabilidades en VMware Horizon Server y Horizon Client para Windows. Hay actualizaciones disponibles para remediar estas vulnerabilidades en los productos VMware afectados.

3a. Vulnerabilidad de VMware Horizon Server Cross Site Scripting (XSS) (CVE-2020-3997)

Descripción

VMware Horizon Server no valida correctamente la entrada del usuario. VMware ha evaluado que la gravedad de este problema se encuentra en el  rango de gravedad moderada  con una puntuación base máxima de CVSSv3 de  4,1.

Vectores de ataque conocidos

La explotación exitosa de este problema puede permitir que un atacante inyecte un script malicioso que se ejecutará.

Resolución

Para remediar CVE-2020-3997, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ a continuación.

Matriz de respuesta

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
Horizon Server7.xAlgunaCVE-2020-39974.1Moderar 7.10.3 o 7.13.0NingunaNinguna
Horizon Server8.xN / AN / AN / AN / AInafectadoN / AN / A

3b. Vulnerabilidad de divulgación de información de VMware Horizon Client para Windows (CVE-2020-3998)

Descripción

VMware Horizon Server no valida correctamente la entrada del usuario. VMware ha evaluado que la gravedad de este problema se encuentra en el  rango de gravedad Baja  con una puntuación base máxima de CVSSv3 de  3.3.

Vectores de ataque conocidos

Un atacante malintencionado con privilegios locales en la máquina donde está instalado Horizon Client para Windows puede recuperar las credenciales hash si el cliente falla.

Resolución

Para remediar CVE-2020-3998, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ a continuación.

Matriz de respuesta

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
Horizon Client para Windows5.xy anterioresVentanasCVE-2020-39983.3Bajo 5.5.0NingunaNinguna

4. Referencias

Versión (s) fija (s) y notas de la versión:

Horizon Server

Descargas y documentación:

https://my.vmware.com/en/web/vmware/downloads/info/slug/desktop_end_user_computing/vmware_horizon/7_10

https://docs.vmware.com/en/VMware-Horizon-7/index.html

Descargas y documentación de Horizon Client para Windows 5.5.0 :
https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=CART21FQ3_WIN_550&productId=863&rPId=53321
https://docs.vmware.com/en/ VMware-Horizon-Client / index.html

Enlaces del diccionario Mitre CVE:

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3997https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3998

PRIMERA Calculadora CVSSv3:

CVE-2020-3997 –  https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:L/ Yo: N / A: N

CVE-2020-3998 –  https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:L/ Yo: N / A: N

Fuente: VMware

Alguna duda o información que necesites sobre este tema, contáctanos por cualquiera de nuestro medios disponibles. ¡Estaremos encantados de ayudarte!